@import '../../node_modules/bootstrap/dist/css/bootstrap.css';
@import '../../node_modules/bootstrap-icons/font/bootstrap-icons.css';
@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&display=swap');


/* Css Général*/

.root{
    --bs-danger: #EC1D25;
}

.scroll-animation {
    animation: smoothScroll 0.3s ease forwards;
}

body {
    background-color: whitesmoke;
    font-family: "Lato", sans-serif;
}

.text_title{
    color: #4D4D4D;
    font-weight: 80;
}

h1.display-6{
    color: #4D4D4D;
    font-weight: normal;


}

.grey-title{
    color: dimgray;

}
.grey{
    font-size: 20px;
    color: dimgray;

}

.title{
    color: #4D4D4D;
    font-size: 50px;
    font-weight: bold;
    position: relative;
}

p.text_subtitle{
    color: #1b1e21;
    font-size: 15px;
    font-weight: lighter;
}

p.small {
    color: whitesmoke;
    font-size: 20px;
    font-weight: lighter;
    text-align: left;
    margin-left: 100px;
    margin-top: 40px;
    margin-right: 950px;
}


.article-text {
    font-size: 14px;
    font-weight: lighter;
}


a {
    color: inherit;
    text-decoration: none;
}


.text-color{
    color: #EC1D25;
}

.red-icon {
    color: #EC1D25;

}

.bg-whitesmoke{
    background-color: whitesmoke;
}



/* Css des boutons */
.btn.btn-primary {
    margin-top: 20px;
    display: inline-block;
    border: 2px solid transparent;
    border-radius: 5px;
    padding: 8px 15px;
    background-color: #EC1D25;
    transition: background-color 400ms ease, border-color 400ms ease;
    color: white;
    text-align: center;
    letter-spacing: 0.08em;
    font-size: 11px;

}


.btn.btn-formaulaire {
    margin-left: 50px;
    display: inline-flex;
    align-items: center;
    border: 2px solid transparent;
    border-radius: 5px;
    padding: 8px 15px;
    background-color: #EC1D25;
    transition: background-color 400ms ease, border-color 400ms ease;
    color: white;
    text-align: center;
    letter-spacing: 0.08em;
    font-size: 11px;
}





.btn.btn-grey {
    margin-top: 20px;
    display: inline-block;
    border: 2px solid transparent;
    border-radius: 50px;
    padding: 10px 20px;
    background-color: grey;
    transition: background-color 400ms ease, border-color 400ms ease;
    color: white;
    text-align: center;
    letter-spacing: 0.08em;


}

.btn.btn-third{
    color: #EC1D25;
    border-radius: 20px;
}



.red{
    color : #EC1D25;
}




/* Forfait dans maintenance et infogérance */

.forfait-background{
    background-color: whitesmoke;
}



/* Css page d'aacueil */



.card-avantages-transparent {
    background-color: transparent;
    border: none;
}


.custom-background {
    background-color: #EC1D25;
}


/* Accordéon de questions dans la page d'accueil */
.accordion-body{
    background-color: white;
}

button.accordion-button{
    color: #666666;
    border:none;
    outline: none;
}

button.accordion-button:hover{
    color: #EC1D25;

}

.accordion-item button {
    outline: none;

}

.accordion-button[aria-expanded="true"] {
    color: #EC1D25;
}

.accordion-nofill .accordion-button {
    background-color: whitesmoke !important;
}

button.accordion-button:focus {
    outline: none !important;
    box-shadow: none !important;
    border: none !important;
}

.accordion-body{
    border:none;
    background-color: whitesmoke;
}

.accordion-item {
    outline: none !important;
    box-shadow: none !important;
    border: none !important;
    background-color: white;
}

.accordion-button {
    outline: none !important;
    box-shadow: none !important;
    border: none !important;
}

@keyframes falling {
    0% {
        transform: translateY(-100%);
        opacity: 0;
    }
    100% {
        transform: translateY(0);
        opacity: 1;
    }
}

.falling-button {
    animation: falling 3s ease forwards;
    opacity: 0;
}


/* Menu et footer */

.dropdown-menu a.dropdown-item:hover{
    color: #EC1D25;
    background-color: ghostwhite!important;
}

.dropdown-item{
    color: dimgrey;
}

.nav-link:hover{
    color:#EC1D25;
}

.dropdown-menu {
    border: none;
    margin-top: 0;
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 100;
    background-color: whitesmoke;
    border-radius: 10px;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.10);
    transition: opacity 0.3s ease;
}

.dropdown-menu:active{
    background-color: transparent !important;
    outline: none !important;

}

#navbarDropdown:hover + .dropdown-menu {
    display: block;
}


.background-footer{
    background-color: #EC1D25;


}

.article-block {
    border: 2px solid #ccc;
    background-color: whitesmoke;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.reset-height {
    height: auto !important;
}

.container-background {
    position: relative;
}

.fade-in {
    opacity: 0;
    transition: opacity 1s ease;
}

.fade-in.active {
    opacity: 1;
    transition: opacity 1s ease;
}


.custom-border-bottom {
    border-bottom: 1px solid #dee2e6;
    margin-bottom: 20px;
    padding-bottom: 10px;
}


.label-banner {
    position: relative;
    top: -23px;
    right: -202px;
    display: inline-block;
    padding: 5px 10px;
    background-color: #EC1D25;
    color: white;
    border-radius: 5px;

}

.shorter-border {
    border-bottom: 1px solid lightgrey;
    width: 50%;
    margin: auto;

}


.card-title, .card-text {
    color: #333;
}

.border-left {
    border-left: 0.5rem solid #EC1D25;
    transition: transform 0.8s ease;
    border-top : white;
    border-right: white;
    border-bottom: white;

}

    .shorter-border-article {
        border-bottom: 2px solid #EC1D25;
        width: 20%;
        margin: auto;

    }
    .custom-container-article {

        margin-left: 80px;
        width: 90%;
        height: 73vh;
    }

.scale-on-hover:hover {
    transform: scale(1.05);
    transition: transform 0.5s ease;
}


.card {
    max-width: 50rem;
    box-shadow: 0 0.25rem 0.5rem rgba(0, 0, 0, 0.2);


}

.card-text{
    font-size: 13px;
}


.custom-label {
    font-size: 13px;
    font-family: "Lato", sans-serif;
}

@media (max-width: 576px) {
    .form-container .form-group .col-lg-4 {
        margin-left: 30px;
    }
}

@media (max-width: 576px) {
    .form-container .form-group .col-sm-5.mb-3 {
        margin-left: 30px;
    }
}

@media (max-width: 576px) {
    .form-container .form-group .col-sm-3.mb-3 {
        margin-left: 30px;
    }
}

@media (max-width: 576px) {
    .form-container .form-group .col-lg-3{
        margin-left: 30px;
    }
}

@media (max-width: 576px) {
    .form-container .form-group .col-sm-3 {
        display: flex;
        margin-left: 60px;
        justify-content: flex-end;
        margin-bottom: 10px;
    }
}

@media (max-width: 576px) {
    .text-left.pt-5 {
        margin-left: 25px;
    }
}
@media (max-width: 576px) {
    .card {
        margin-right: 20px;
        margin-left: 20px;


    }
}





/* animations pour les images secteurs d'activités */

    .image-container {
        position: relative;
        text-align: center;
        overflow: hidden;
    }

    .image-container img {
        width: auto;
        height: auto;
        display : inline-block;
        transition: transform 0.3s ease;
    }

    .image-text {
        position: absolute;
        color: white;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        opacity: 0;
        transition: opacity 0.3s ease, transform 0.3s ease;
        z-index: 1;
    }

    .image-container:hover img {
        transform: scale(1.1);
        filter: brightness(70%);
    }

    .image-container:hover .image-text {
        opacity: 1;
        transform: translate(-50%, -50%) scale(1);
    }



